KJOURNALPRINT(8)

NAME
kjournalprint - Knot DNS journal print utility

SYNOPSIS

kjournalprint [config_option] [options] zone_name

kjournalprint [config_option] -z

DESCRIPTION

The program prints zone history stored in a journal database. As default, changes are colored for terminal.

  Parameters

zone_name
    A name of the zone to print the history for.

  Config options

-c, --config file
    Use a textual configuration file (default is /etc/knot/knot.conf).

-C, --confdb directory
    Use a binary configuration database directory (default is /var/lib/knot/confdb). The default configuration database, if exists, has a preference to the default configuration file.

-D, --dir path
    Use specified journal database path and default configuration.

  Options

-z, --zone-list
    Instead of reading the journal, display the list of zones in the DB.

-l, --limit limit
    Limits the number of displayed changes.

-s, --serial soa
    Start at a specific SOA serial.

-H, --check
    Enable additional journal semantic checks during printing.

-d, --debug
    Debug mode brief output.

-x, --mono
    Don't generate colorized output.

-n, --no-color
    An alias for -x. Use of this option is deprecated, it will be removed in the future.

-X, --color
    Force colorized output.

-h, --help
    Print the program help.

-V, --version
    Print the program version.

EXIT VALUES

Exit status of 0 means successful operation. Any other exit status indicates an error.

EXAMPLES

Last (most recent) 5 changes without colors:

$ kjournalprint -nl 5 /var/lib/knot/journal example.com.

SEE ALSO

knotd(8), knot.conf(5).

AUTHOR
CZ.NIC Labs <https://www.knot-dns.cz>

COPYRIGHT
Copyright 2010–2024, CZ.NIC, z.s.p.o.